GNU bug report logs - #52183
29.0.50; Empty space in the mode line if server-mode is active

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Davide Masserut <dm@HIDDEN>; dated Mon, 29 Nov 2021 16:00:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 52183 <at> debbugs.gnu.org:


Received: (at 52183) by debbugs.gnu.org; 5 Dec 2021 20:04:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 05 15:04:33 2021
Received: from localhost ([127.0.0.1]:59582 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtxkO-0005tm-Pk
	for submit <at> debbugs.gnu.org; Sun, 05 Dec 2021 15:04:32 -0500
Received: from quimby.gnus.org ([95.216.78.240]:55492)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mtxkN-0005tZ-IP
 for 52183 <at> debbugs.gnu.org; Sun, 05 Dec 2021 15:04:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=IVAlfm/z6v2UIuFNHEy2WrQqhtg6NZmZLUZiIkkkwE0=; b=l/MBT8RpmahsFlhUnb5UA9SJVe
 QxbWkXd9vZwpUgscXKu/QMh9/KthJPu7v3UJDXmxjDe5SsB1eiOICNTGUg9M9cBIzWBDG+VztBub4
 TqNcEbj3lOaC6iHeugpr8ZKUh/xODHWmVrrxWNy5WPpSwxnhxmVmQvM2YeA2wMDFEzFI=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mtxkD-0002Uq-Gv; Sun, 05 Dec 2021 21:04:24 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#52183: 29.0.50; Empty space in the mode line if server-mode
 is active
References: <87tufvkl5f.fsf@HIDDEN> <83y25067bw.fsf@HIDDEN>
 <87ee6s1yny.fsf@HIDDEN> <83wnkk64tz.fsf@HIDDEN>
 <83tufo60n7.fsf@HIDDEN> <875ys46vjf.fsf@HIDDEN>
 <83czmc5fhw.fsf@HIDDEN> <87zgpgxc5e.fsf@HIDDEN>
 <831r2r5ygi.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEUmIiSMfHPIwr//
 ///XfD68AAAAAWJLR0QDEQxM8gAAAAd0SU1FB+UMBRMvJqYCnRsAAAGPSURBVCjPRdFBa6NAFAfw
 l1KH6MmCKepJignqp3BDG8KeTFGpPZlFhySfws0hbHMyIUrrKQYDOp9ynTG2c5of/5nHezwAmKtW
 rRZRAvTMeasWSJTeMPkUiBG2VxuGCq5/IONVC+2GPzXamD0u9cxSpG/4E0Vm1Rjw72GPBuE9/53c
 rfcvHYwW9X72g8/dlkE2LtHg33HbJxF8XLZ2h6MOX8sDg2QetQHR06RDrklYP9+w0yVs9MjNNX4L
 HQrRzK0m/tAZNL3YuKsvo0f8Vy7YqKCFTQVyrnRYBCkMXwUG0ePPwD/NJJYEoxOgyW7eYVECsrbP
 FOPGPwBSpvcUavayhJHnMSjXaZk8ZSZHwV1f63B5eJ9S3JF0gJ6VIqdAxAX/hEhD0S7KsU6P5I2h
 iVMhfSQVQ3A9ocQnZwreKzMhCQhbKsrLbPbL6yD4ZbEYeBv2R30PC4dbWyxRg2UWcat2DtpbIHoV
 RDHD2JViByrMno1BenAWFWYFrnD/YCN3lFFkYEsguCKbxwUYiYpjc/Afhu+BQQa9QocAAAAldEVY
 dGRhdGU6Y3JlYXRlADIwMjEtMTItMDVUMTk6NDc6MzgrMDA6MDCFwShyAAAAJXRFWHRkYXRlOm1v
 ZGlmeQAyMDIxLTEyLTA1VDE5OjQ3OjM4KzAwOjAw9JyQzgAAAABJRU5ErkJggg==
X-Now-Playing: Peter Gabriel's _Peter Gabriel 2_: "Indigo"
Date: Sun, 05 Dec 2021 21:04:19 +0100
In-Reply-To: <831r2r5ygi.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 05 Dec
 2021 08:59:25 +0200")
Message-ID: <87tufmq0n0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > That's sheer luck,
 an artifact of the particular implementation in > display_min_width.
 Specifically, 
 the stretch glyph is appended when > we see a new Lisp string, so the " "
 separator after those [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52183
Cc: 52183 <at> debbugs.gnu.org, dm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> That's sheer luck, an artifact of the particular implementation in
> display_min_width.  Specifically, the stretch glyph is appended when
> we see a new Lisp string, so the " " separator after those elements
> plays that role.  That's why we get that extra space before "@" in the
> situation described by this bug report: that "@" is the first Lisp
> string that follows mode-line-mule-info, and mode-line-mule-info is
> produced as C strings.

Hm...  I see...  I think.  I though I had that covered, but I haven't
tried to re-debug the code after we started discussing this.

> Thus, concatenating the strings before propertizing is really needed
> for this to work on a group of strings.

It's possible, but I thought I was seeing something else.  I'll try to
do some more poking at the code.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52183; Package emacs. Full text available.

Message received at 52183 <at> debbugs.gnu.org:


Received: (at 52183) by debbugs.gnu.org; 5 Dec 2021 06:59:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 05 01:59:39 2021
Received: from localhost ([127.0.0.1]:56145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtlUp-0007b8-2k
	for submit <at> debbugs.gnu.org; Sun, 05 Dec 2021 01:59:39 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mtlUn-0007av-45
 for 52183 <at> debbugs.gnu.org; Sun, 05 Dec 2021 01:59:37 -0500
Received: from [2001:470:142:3::e] (port=60454 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtlUh-00083t-Dp; Sun, 05 Dec 2021 01:59:31 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=ZI9LuFfe+2S5HRO21AAh4nGExAYlMSVTod3ARA3vaPo=; b=N6rSNg1Y55bm
 l7QqO1xMzEwkk6eYQso1tPO6oNabLdlfTVfnhLZ02lgaK4xYs91AJ7rqB5UcRUPeRfn5QYpdwGn6T
 I+KMlkAhtw0biVK/QMcJRY7GW3gN05preD/1PUR/s4a3l6uZYF/e0KntXadednzm3DF72F+cUxBG9
 yQk6HDd0Pil9f+VHk/WZrIUlTRP2aBNowODLlDS3Up1+/GZE5X3b6dbMmnMC6Y4Pipa0tXgjnEaB+
 hcwHpL4s+ChnfZ305GqV9+OExrbaLElgFtOGte/w6mLtGOKluvHqYUPU4xqp8CBzLlwJhTm74uJMk
 UkVjImIMX3HdvOUdU8R1tQ==;
Received: from [87.69.77.57] (port=2035 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtlUh-0004xJ-6v; Sun, 05 Dec 2021 01:59:31 -0500
Date: Sun, 05 Dec 2021 08:59:25 +0200
Message-Id: <831r2r5ygi.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87zgpgxc5e.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sat, 
 04 Dec 2021 23:01:33 +0100)
Subject: Re: bug#52183: 29.0.50; Empty space in the mode line if server-mode
 is active
References: <87tufvkl5f.fsf@HIDDEN> <83y25067bw.fsf@HIDDEN>
 <87ee6s1yny.fsf@HIDDEN> <83wnkk64tz.fsf@HIDDEN>
 <83tufo60n7.fsf@HIDDEN> <875ys46vjf.fsf@HIDDEN>
 <83czmc5fhw.fsf@HIDDEN> <87zgpgxc5e.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52183
Cc: 52183 <at> debbugs.gnu.org, dm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: dm@HIDDEN,  52183 <at> debbugs.gnu.org
> Date: Sat, 04 Dec 2021 23:01:33 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > The main point of what I wrote is that we actually display the whole
> > 5-to-6 character sequence of indicators as 4 separate strings, not as
> > a single string made of concatenation of those 4.  So even if/when the
> > min-width stuff is fixed as we discussed, you will have 4 strings
> > displayed one after the other, and each one of them has the min-width
> > spec, so each one of them will be displayed as at least 5 characters.
> > And that's not what you want here.
> 
> It sounds like much the same thing that happens when doing the
> " (%l,%c)" -- you also get two strings then, which is why the min-width
> end handler checks that we're really at the end of the sequence of strings.

That's sheer luck, an artifact of the particular implementation in
display_min_width.  Specifically, the stretch glyph is appended when
we see a new Lisp string, so the " " separator after those elements
plays that role.  That's why we get that extra space before "@" in the
situation described by this bug report: that "@" is the first Lisp
string that follows mode-line-mule-info, and mode-line-mule-info is
produced as C strings.

So another way to fix this is to introduce a new mode-line construct,
say %=, which will produce either an empty string or "@" for client
frames, as C strings, and use that as mode-line-client element.  Then
all of those 4 elements will be produced as C strings, and the problem
reported in this bug report will be solved.  But then the change we
discussed that would allow processing such properties on C strings
will again break this, because it will apply min-width to each
separate C string in this group of indicators.

Basically, the way we display the mode line with text properties only
works for properties that have the same effect if applied to each part
of a string separately, or to the entire string in one go.  Faces and
help-echo are like that; but the min-width display spec isn't, because
it takes effect when the string _ends_, so where the string ends and
how many strings are there is important for it.  Thus, concatenating
the strings before propertizing is really needed for this to work on a
group of strings.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52183; Package emacs. Full text available.

Message received at 52183 <at> debbugs.gnu.org:


Received: (at 52183) by debbugs.gnu.org; 4 Dec 2021 22:01:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 17:01:47 2021
Received: from localhost ([127.0.0.1]:55550 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtd6I-0005Hc-Oc
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 17:01:47 -0500
Received: from quimby.gnus.org ([95.216.78.240]:42094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mtd6G-0005CX-Tv
 for 52183 <at> debbugs.gnu.org; Sat, 04 Dec 2021 17:01:45 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=WhnudX8HH654cYr94jPaOzY04tMKebRFkHrjXPisZW4=; b=lBEoLD8w1qqwfhCeMgzl4F2ZVQ
 84jUNnO/7JEbqy7tJeWNrXQLZqaTVtl7IiiTEnPXw6ruhuQVKoKLf6VxiHWSY65MJ0/grL5KluhQp
 jutSLzByh4IaB1WQHEDNqSoJ4s5qbOF9z392iH+TWGAubzANIzcvw2jHpW/8uiu2xkvg=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mtd66-0000uU-Ja; Sat, 04 Dec 2021 23:01:37 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#52183: 29.0.50; Empty space in the mode line if server-mode
 is active
References: <87tufvkl5f.fsf@HIDDEN> <83y25067bw.fsf@HIDDEN>
 <87ee6s1yny.fsf@HIDDEN> <83wnkk64tz.fsf@HIDDEN>
 <83tufo60n7.fsf@HIDDEN> <875ys46vjf.fsf@HIDDEN>
 <83czmc5fhw.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEXNqF30y1yZe22+
 yb5tiVZWXU////+Xfhi4AAAAAWJLR0QGYWa4fQAAAAd0SU1FB+UMBBU7FhJEYTUAAAG2SURBVDjL
 ddTBkuIgEAZgQL2TzAskbbhnEuc+YnPfytLv/yr7d0DLlCzRsuSDTkOTGNu1myngcdnDGIOvM8Po
 Bk+md866wbmhQu8AY0/aOiLnxgodoiCWN2j4wd8K60ezTVge63cTblsbHv+BJbdh4cTtGSyyrfdP
 oAnw0wDJgNCARQR2b2WVQC24oV/GT/gRCU24TYSrwvS+jIUCxbGUVpiv64rPOrhAFOK1rNwjc8pR
 4sRESYFqKOJIQppNpEg0vSBynHTFQYgwCVwrOKWoqyotYv70hKzjRTdpS0yccoVQB2+230Q4p208
 wp/vPifJKBUOpbHe1H5ytoDsgOsJ5u85M2NFbL013vpyg41snAGsMzpAtwPRYL7OJ+FQQPfKl35s
 1fmROKQXdFGP+WmHi4T0m1kriHxJ4ygs8SZB77KDBeD8azFmXlIugH4kbCqsCpB0R7qasrYvRFrT
 oAtU0JubeT6VSNeLbjM7uds9q1fB8w37IXyW3+4Il0fSLeT9wL3DLBMCcd4LZY6vA03Tap85ytsY
 gO6XPcwrsD/2g30OrPGNcRrVemdf/fscM5hDK+8LlPUfuWmwd0aU4E4AAAAldEVYdGRhdGU6Y3Jl
 YXRlADIwMjEtMTItMDRUMjE6NTk6MjIrMDA6MDC6Vv/2AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIx
 LTEyLTA0VDIxOjU5OjIyKzAwOjAwywtHSgAAAABJRU5ErkJggg==
X-Now-Playing: The Wailers's _This Is Reggae Music_: "I Shot The Sheriff"
Date: Sat, 04 Dec 2021 23:01:33 +0100
In-Reply-To: <83czmc5fhw.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 04 Dec
 2021 21:36:43 +0200")
Message-ID: <87zgpgxc5e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > The main point of what
 I wrote is that we actually display the whole > 5-to-6 character sequence
 of indicators as 4 separate strings,
 not as > a single string made of concatenation
 of those 4. So ev [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52183
Cc: 52183 <at> debbugs.gnu.org, dm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> The main point of what I wrote is that we actually display the whole
> 5-to-6 character sequence of indicators as 4 separate strings, not as
> a single string made of concatenation of those 4.  So even if/when the
> min-width stuff is fixed as we discussed, you will have 4 strings
> displayed one after the other, and each one of them has the min-width
> spec, so each one of them will be displayed as at least 5 characters.
> And that's not what you want here.

It sounds like much the same thing that happens when doing the
" (%l,%c)" -- you also get two strings then, which is why the min-width
end handler checks that we're really at the end of the sequence of strings.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52183; Package emacs. Full text available.

Message received at 52183 <at> debbugs.gnu.org:


Received: (at 52183) by debbugs.gnu.org; 4 Dec 2021 19:36:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 14:36:59 2021
Received: from localhost ([127.0.0.1]:55015 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtaqB-0007TG-2w
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 14:36:59 -0500
Received: from eggs.gnu.org ([209.51.188.92]:45282)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mtaq9-0007T4-BF
 for 52183 <at> debbugs.gnu.org; Sat, 04 Dec 2021 14:36:58 -0500
Received: from [2001:470:142:3::e] (port=43226 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtaq2-00037W-Af; Sat, 04 Dec 2021 14:36:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=kZ1kWPImgUNcJMOqDpQyrifPGCMCDMyLGl89VeF4kkg=; b=fOF1XQxTmc1R
 hAulvurum8geshDpvsHeV0maEFi8NrF2fzgtFksOB33cekiktsiFSImyIr59uF7+MDscpttijFTHx
 OLSTNZdMuRddXk8f4XpkDINo3++Nckssnh9byHfAUzefC4iPHC1Lbu03Bp5toYvRRFRI1Gmsz2Kin
 sKV6e0UiJAakT8Zbzh3/dXTg39IpHFKkzu1AAMI1GIUoYVQh0IjdqNpRVfqGLVBBhndryCrfYHq3l
 SVpBLXS5teu9WRCXOgOYW3t1Wnrm1uHY3rUMCm6O8I6lgpCEgkKsj0babUcLWeor9qGTjcumYFB9f
 sYEoHChbHEhJ0DSnIu76SQ==;
Received: from [87.69.77.57] (port=3648 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtaq2-0008J6-2l; Sat, 04 Dec 2021 14:36:50 -0500
Date: Sat, 04 Dec 2021 21:36:43 +0200
Message-Id: <83czmc5fhw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <875ys46vjf.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sat, 
 04 Dec 2021 20:04:52 +0100)
Subject: Re: bug#52183: 29.0.50; Empty space in the mode line if server-mode
 is active
References: <87tufvkl5f.fsf@HIDDEN> <83y25067bw.fsf@HIDDEN>
 <87ee6s1yny.fsf@HIDDEN> <83wnkk64tz.fsf@HIDDEN>
 <83tufo60n7.fsf@HIDDEN> <875ys46vjf.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52183
Cc: 52183 <at> debbugs.gnu.org, dm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: dm@HIDDEN,  52183 <at> debbugs.gnu.org
> Date: Sat, 04 Dec 2021 20:04:52 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Bottom line: I think to make this work as intended, bindings.el should
> > be modified to produce a Lisp string from all those 4 elements, by
> > concatenating them, and then the min-width display spec should be put
> > on the result of the concatenation.
> 
> I thought we were going to fix min-width so that that machinery was also
> called on the C strings (that are going to end up having the text
> property added afterwards)?

I still plan on doing that, but I don't see how it would help here.
AFAIU, it will make the result worse.

The main point of what I wrote is that we actually display the whole
5-to-6 character sequence of indicators as 4 separate strings, not as
a single string made of concatenation of those 4.  So even if/when the
min-width stuff is fixed as we discussed, you will have 4 strings
displayed one after the other, and each one of them has the min-width
spec, so each one of them will be displayed as at least 5 characters.
And that's not what you want here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52183; Package emacs. Full text available.

Message received at 52183 <at> debbugs.gnu.org:


Received: (at 52183) by debbugs.gnu.org; 4 Dec 2021 19:05:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 14:05:04 2021
Received: from localhost ([127.0.0.1]:54944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtaLI-0002Ei-3c
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 14:05:04 -0500
Received: from quimby.gnus.org ([95.216.78.240]:39798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mtaLG-0002EA-B0
 for 52183 <at> debbugs.gnu.org; Sat, 04 Dec 2021 14:05:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=otsZ1glqgicu6BvYd5rcXbNtJaMx3L+sBGCy8Rp2kFs=; b=EGdMgG4TvB+d3y2zk24//DAh+V
 /YVIk14vGack92uIS53y9vnwQajdVPlzZ4TrFpDLpW3ePTag41eiEVUE1OGe+L5n+75Hc9L78THWn
 +R6zn+dw5rjoPmYx+oGvESIVUIRKv0eFSkzfTQlBVe8Q2+C5K5dJFRux72GDyEDJ+Sss=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mtaL7-0007zk-Ac; Sat, 04 Dec 2021 20:04:56 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#52183: 29.0.50; Empty space in the mode line if server-mode
 is active
References: <87tufvkl5f.fsf@HIDDEN> <83y25067bw.fsf@HIDDEN>
 <87ee6s1yny.fsf@HIDDEN> <83wnkk64tz.fsf@HIDDEN>
 <83tufo60n7.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEUmKRpaTTSujlX/
 ///X3dOHAAAAAWJLR0QDEQxM8gAAAAlwSFlzAAALEgAACxIB0t1+/AAAAAd0SU1FB+UMBBIpNyOW
 Fz0AAAGSSURBVCjPLdExb+sgEADgu8pY72VyJfMkd3tj8yvsKHToRCqwVE8dbCnlV3TqnDyZDJ06
 mCrwK98dDov9AXccBwAAupQu3reQByEFq1c8pOi91Qj49Tr4ZGkYCugb65O3va5pj6mUSjNoscag
 chSNdk0nHf+IG3z+VCtSVBSRg4SNQ/8NoAAX+DPXaBdUe8KyuZh6PwpRMLb9DP0iHws+1IUBCZGi
 VRlcwkvQhAbK+G+GhirlzH0MFiZrBVd28caCnI3kY9GbCC9ze2gJ22QmtPuD0YT0NRtsoNYarpiG
 YOCXmJSA6104LJYuOFUSYnlSRwN3qukk+FL1R4NiLulU81faUNe/p1eLoN7k4KFqJLUN3gkWqm3J
 7bi+3esJqrQ5MfRBW+jScAPVuQsuo+aV5yUj1ve6g01037wyYksY3Zy34UmIrc5YAD9E4ZRbVrSy
 cM0N1Pji+J4TjBljSKcbavg5J07ArZPtT5euDKpWdlGs4NfqlsfEmQLj5RwyImP3GRLP8kPj0/M5
 8aznuz+5HeM/PQGRf75mSO8AAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMTItMDRUMTg6NDE6NTUr
 MDA6MDBcmXhmAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTEyLTA0VDE4OjQxOjU1KzAwOjAwLcTA
 2gAAAABJRU5ErkJggg==
X-Now-Playing: Tom Waits's _The Heart Of Saturday Night_: "A Sweet Little
 Bullet From A Pretty Blue Gun"
Date: Sat, 04 Dec 2021 20:04:52 +0100
In-Reply-To: <83tufo60n7.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 04 Dec
 2021 13:59:56 +0200")
Message-ID: <875ys46vjf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > Bottom line: I think
 to make this work as intended, bindings.el should > be modified to produce
 a Lisp string from all those 4 elements, by > concatenating them, and then
 the min-width display spec [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52183
Cc: 52183 <at> debbugs.gnu.org, dm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Bottom line: I think to make this work as intended, bindings.el should
> be modified to produce a Lisp string from all those 4 elements, by
> concatenating them, and then the min-width display spec should be put
> on the result of the concatenation.

I thought we were going to fix min-width so that that machinery was also
called on the C strings (that are going to end up having the text
property added afterwards)?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52183; Package emacs. Full text available.

Message received at 52183 <at> debbugs.gnu.org:


Received: (at 52183) by debbugs.gnu.org; 4 Dec 2021 12:00:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 07:00:19 2021
Received: from localhost ([127.0.0.1]:53030 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtTiF-0001cf-H5
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 07:00:19 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mtTiC-0001cN-MV
 for 52183 <at> debbugs.gnu.org; Sat, 04 Dec 2021 07:00:17 -0500
Received: from [2001:470:142:3::e] (port=32944 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtTi6-0001l4-Vt; Sat, 04 Dec 2021 07:00:10 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=W0M6vQdTTm8Xmgoqccg2UTnJeb6Q8R6B9/WMt/m5aJs=; b=iCpuViRsSBRd3sTXirjx
 oKillWj4kjm18NcVRTRBtSn6ze+YDlZfV9abDTnPDMKZfBRxysH/iK0BQdgKDnjdQCohIDtgHYpYE
 fwgDu+p+imo/Qyjwh1avxslagTHeJ0QEQxXLyenXObmjwVn/eMLIIAfFxXNQE/AKtPgKdF2EyfrGN
 g6wQIYAfNJ9Dg1P5PTJ56nFZdweISMpQ27tJc3tbLzHM7Aj3DPByw2inSasNtcXeQkUfrgSWQnTYF
 Q3g5tcZIS1aVfGHiYnjn8eEGcCPVonUMTJIlWZsrDA0qsyAjAJJWW7taxdygI7LaGKG0J0tc55FkV
 h0uIStTtFDOqGA==;
Received: from [87.69.77.57] (port=3253 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtTi0-0001mK-Rz; Sat, 04 Dec 2021 07:00:11 -0500
Date: Sat, 04 Dec 2021 13:59:56 +0200
Message-Id: <83tufo60n7.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <83wnkk64tz.fsf@HIDDEN> (message from Eli Zaretskii on Sat, 04
 Dec 2021 12:29:28 +0200)
Subject: Re: bug#52183: 29.0.50;
 Empty space in the mode line if server-mode is active
References: <87tufvkl5f.fsf@HIDDEN> <83y25067bw.fsf@HIDDEN>
 <87ee6s1yny.fsf@HIDDEN> <83wnkk64tz.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52183
Cc: 52183 <at> debbugs.gnu.org, dm@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Sat, 04 Dec 2021 12:29:28 +0200
> From: Eli Zaretskii <eliz@HIDDEN>
> Cc: 52183 <at> debbugs.gnu.org
> 
> > From: Davide Masserut <dm@HIDDEN>
> > Cc: 52183 <at> debbugs.gnu.org
> > Date: Sat, 04 Dec 2021 10:56:17 +0100
> > 
> > Eli Zaretskii <eliz@HIDDEN> writes:
> > 
> > > Do you still see this on the current master?  I seem to be unable to
> > > reproduce this today.
> > 
> > I'm still seeing it on "3e7aff5fcdd3fa6e30497323c914f6c79c951ed6".
> 
> Ignore me: I wasn't testing this properly.

I think I understand the root cause of this.

bindings.el produce this part of mode line as follows:

             (list
              :propertize
              (list ""
	            'mode-line-mule-info
	            'mode-line-client
	            'mode-line-modified
	            'mode-line-remote)
              'display '(min-width (5.0)))

This presumes that the values of the mode-line-* variables mentioned
there will be concatenated, then the display property with the
min-width spec added to the result of the concatenation, and then the
result will be displayed.

But that's not how the mode-line display works.  The "concatenation",
as mentioned in the ELisp manual:

  ‘(STRING REST...)’
  ‘(LIST REST...)’
       A list whose first element is a string or list means to process all
       the elements recursively and concatenate the results.

is not a real concatenation that produces a Lisp string, it is a
"effective concatenation" that happens on display, because the
elements of the list are displayed one after the other.  Any string in
the list gets the properties specified in :propertize applied to it
_before_ displaying it, but text properties on C strings are ignored
when they are displayed, and so have no effect.

Now the way min-width is implemented, if we display a series of C
strings, then display a Lisp string, the min-width will have effect
before the Lisp string is displayed.  Which is what happens here: the
"@" indicator is computed in bindings.el as a Lisp string.  Without
the "@" part, the "  " string that follows the above group of
indicators plays the role of that Lisp string, so the min-width thing
_seems_ to work as intended when all the 4 parts above are either C
strings or empty strings.

Bottom line: I think to make this work as intended, bindings.el should
be modified to produce a Lisp string from all those 4 elements, by
concatenating them, and then the min-width display spec should be put
on the result of the concatenation.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52183; Package emacs. Full text available.

Message received at 52183 <at> debbugs.gnu.org:


Received: (at 52183) by debbugs.gnu.org; 4 Dec 2021 10:29:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 05:29:46 2021
Received: from localhost ([127.0.0.1]:52950 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtSIc-0007YS-6t
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 05:29:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:50094)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mtSIa-0007YC-CP
 for 52183 <at> debbugs.gnu.org; Sat, 04 Dec 2021 05:29:44 -0500
Received: from [2001:470:142:3::e] (port=59616 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtSIU-0001Xe-AS; Sat, 04 Dec 2021 05:29:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=fGtSsCg4rGxBZqOEwttNwlncWmKEf8tKNovuUG4EaSA=; b=Dl4JfCv7a/Ey
 zW7AibujGIyOcYFQCQMuqFqVSIA8iuUoj2dIjVKYn+Ad55rcQNEhzaILVh+6MhLPZRg0xGzOyImKC
 4mp5WTwIFV5Gk5IDsecci8foKxhntp0jPyE+tMbq0VLgdmQdmJ6o21HvgZA1bFCLUhs8c2k52XxxX
 Xz/Nw7sz4UNY4mAYo3qdqiM0rozYCQXfkUjDYzlmq0TDmauCZ5PJDSaNg6JUPmzZtffTPksxSFAfP
 RrEvzvx+7n7wdGO7R4pntnKzC2R3eUhxDuDHyaObwPJwwkrj6TK3EIALRvCLtigasHDoLQPGgfPHt
 CfemKUYVH4FdIzjl3kc+1A==;
Received: from [87.69.77.57] (port=1587 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtSIS-0006VW-65; Sat, 04 Dec 2021 05:29:38 -0500
Date: Sat, 04 Dec 2021 12:29:28 +0200
Message-Id: <83wnkk64tz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Davide Masserut <dm@HIDDEN>
In-Reply-To: <87ee6s1yny.fsf@HIDDEN> (message from Davide Masserut on Sat, 
 04 Dec 2021 10:56:17 +0100)
Subject: Re: bug#52183: 29.0.50; Empty space in the mode line if server-mode
 is active
References: <87tufvkl5f.fsf@HIDDEN> <83y25067bw.fsf@HIDDEN>
 <87ee6s1yny.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52183
Cc: 52183 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Davide Masserut <dm@HIDDEN>
> Cc: 52183 <at> debbugs.gnu.org
> Date: Sat, 04 Dec 2021 10:56:17 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > Do you still see this on the current master?  I seem to be unable to
> > reproduce this today.
> 
> I'm still seeing it on "3e7aff5fcdd3fa6e30497323c914f6c79c951ed6".

Ignore me: I wasn't testing this properly.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52183; Package emacs. Full text available.

Message received at 52183 <at> debbugs.gnu.org:


Received: (at 52183) by debbugs.gnu.org; 4 Dec 2021 09:56:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 04:56:23 2021
Received: from localhost ([127.0.0.1]:52927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtRmJ-0006kQ-Lh
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 04:56:23 -0500
Received: from out1.migadu.com ([91.121.223.63]:45674)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dm@HIDDEN>) id 1mtRmG-0006kG-A6
 for 52183 <at> debbugs.gnu.org; Sat, 04 Dec 2021 04:56:21 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mssdvd.com; s=key1;
 t=1638611778;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=wO3fPbFnhw/Nfgzn+VTcMlXiFXX6xUdqMVUweM1bc6g=;
 b=EdD8mhMgw/PJxlCAR/XACbxOE6Wf7UBrQfBBhXbZFQtLr2YDBKPtFfyMqwFnbn+gKTTCTF
 xzY9ZMr+X+Ywi4F/M8XvuV+CwEkIIJa1HX9VmiBPurhb6PId8LF06bwk6IXP5JRR50DsJQ
 GQhkeGLRcaVXs1Yuwgo7rxWYF66+KWTim5dJZEUDiZ8BFgG0M5UwKnnjcU8JEH60pZP2Ut
 uW41JIGoNY607zrdugXg2KvCQXmHq0kOuZcTNAyrCwOd6sVpnGjMUH8MUsiedC0E0Qipox
 QzpUkqeifGMwET7ClwsLTjcyfQB0CuaVDz+fC9Pvq8dkKFhEVKlpBQBeznSLIg==
From: Davide Masserut <dm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#52183: 29.0.50; Empty space in the mode line if server-mode
 is active
In-Reply-To: <83y25067bw.fsf@HIDDEN>
References: <87tufvkl5f.fsf@HIDDEN> <83y25067bw.fsf@HIDDEN>
Date: Sat, 04 Dec 2021 10:56:17 +0100
Message-ID: <87ee6s1yny.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: mssdvd.com
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52183
Cc: 52183 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Do you still see this on the current master?  I seem to be unable to
> reproduce this today.

I'm still seeing it on "3e7aff5fcdd3fa6e30497323c914f6c79c951ed6".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52183; Package emacs. Full text available.

Message received at 52183 <at> debbugs.gnu.org:


Received: (at 52183) by debbugs.gnu.org; 4 Dec 2021 09:35:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 04 04:35:51 2021
Received: from localhost ([127.0.0.1]:52921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mtRSQ-0006Fv-Tn
	for submit <at> debbugs.gnu.org; Sat, 04 Dec 2021 04:35:51 -0500
Received: from eggs.gnu.org ([209.51.188.92]:41632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mtRSP-0006Fi-Fv
 for 52183 <at> debbugs.gnu.org; Sat, 04 Dec 2021 04:35:49 -0500
Received: from [2001:470:142:3::e] (port=59024 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtRSJ-0004c2-FE; Sat, 04 Dec 2021 04:35:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=rns0y44Y3D3j2Z7CC5sZAmUd6v++I9Al5fugVHkuWd4=; b=f1M1xtgpZehn
 A3efFuBtmgkUbyaiW+WpDB9Dnsd0wHimmb92nZh87ZzPjwKLaUBR0END+3s3KxtWNFACosyMy5gJG
 DtFy3LtYYhacyR5wr2Gvi8SnhhMjm0wO87X/osnJpLSf7sXxfmmb3zgj9DgjIIXFRLQVzHUjqe3dY
 oBQZXvjVxpoicOiZ21I1M5wQFA42D6vawuZnm1twSKdHyDkGJSJg+XmtDE8GMdiL/pPAOs2wopLjG
 lfqSynCJHZFG2ZcsiDkpU8LzDNuPdRyP6GFYHTkYaQ9EObXNr8z/vLx6QSCQ1cG76fwYvULHyxsA2
 eKnyQkNC9whqvk/GEyM0nw==;
Received: from [87.69.77.57] (port=2239 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mtRSF-0000gX-Hk; Sat, 04 Dec 2021 04:35:41 -0500
Date: Sat, 04 Dec 2021 11:35:31 +0200
Message-Id: <83y25067bw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Davide Masserut <dm@HIDDEN>
In-Reply-To: <87tufvkl5f.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#52183: 29.0.50;
 Empty space in the mode line if server-mode is active
References: <87tufvkl5f.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52183
Cc: 52183 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 29 Nov 2021 16:59:40 +0100
> From:  Davide Masserut via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Hi, the commit 84bf9549860aae22931951d52b194b1fcfca1556 (Use a
> proportional font for the mode line) added the min-width property to
> mode-line-client.  If emacs is in server-mode a space between mule info
> and "@" is added:

Do you still see this on the current master?  I seem to be unable to
reproduce this today.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52183; Package emacs. Full text available.

Message received at 52183 <at> debbugs.gnu.org:


Received: (at 52183) by debbugs.gnu.org; 30 Nov 2021 18:30:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 30 13:30:28 2021
Received: from localhost ([127.0.0.1]:42487 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ms7tW-0006kP-2e
	for submit <at> debbugs.gnu.org; Tue, 30 Nov 2021 13:30:27 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ms7tU-0006kC-0S
 for 52183 <at> debbugs.gnu.org; Tue, 30 Nov 2021 13:30:20 -0500
Received: from [2001:470:142:3::e] (port=45244 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ms7tO-00061A-03; Tue, 30 Nov 2021 13:30:14 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=lrj0WJHZTaRuck7gaR/UUhJ9fpvPwt3abY7rrQjzV00=; b=FnMBtZkzQ4zm
 g1Pu7O6hJC0SM7t9OUPIpPHGtoX8a7akRd26u/LAb52Ga7rkeUGyLenxYHgQBGrDlrBnESK/u4Dlj
 zwxkfuk2N9IIO34e9C0mNHWP8uvmJQVxW55XnBucV+43zp827c1xRT3o5IPkaGl3NrRzh5xT2dBqh
 s0vA1DoEjvdKO4ekiIFrzTJlMitM0j6LICufFJsi3Ut1wEEtnEQhZnfDu4BQnbNmcB7myFnColHWf
 nXPKmT9D7ioz0TkMKI2bb/PmpsdNeXvg1WfHCkoVFN+8vmnf+1KIS2SXAhckQxWf1XEdv4XBw84PU
 u9wnndhAjQbZRE+sZAb2cA==;
Received: from [87.69.77.57] (port=4428 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ms7tN-0000in-OI; Tue, 30 Nov 2021 13:30:14 -0500
Date: Tue, 30 Nov 2021 20:30:09 +0200
Message-Id: <83mtllts26.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Davide Masserut <dm@HIDDEN>
In-Reply-To: <87v909y1hu.fsf@HIDDEN> (message from Davide Masserut on Tue, 
 30 Nov 2021 18:52:45 +0100)
Subject: Re: bug#52183: (29.0.50; Empty space in the mode line if
 server-mode is active)
References: <87tufvkl5f.fsf@HIDDEN> <87ee6y58c0.fsf@HIDDEN>
 <83v909twk9.fsf@HIDDEN> <87v909y1hu.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52183
Cc: 52183 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Davide Masserut <dm@HIDDEN>
> Cc: 52183 <at> debbugs.gnu.org
> Date: Tue, 30 Nov 2021 18:52:45 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > But that would defeat the purpose of that propertize, I think?  So it
> > isn't the right solution.  And we need to understand the root cause of
> > this anyway, before we devise a solution.  If you did understand it,
> > please describe the details.
> 
> Lars mentioned a bug but I wasn't able to find what he was referring to.
> Can you point me to the discussion about the alleged bug?

Lars meant the problem with putting the min-width display spec on
strings like %p, which generate C strings in the display code, and
therefore cannot affect their display by using the 'display' property.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52183; Package emacs. Full text available.

Message received at 52183 <at> debbugs.gnu.org:


Received: (at 52183) by debbugs.gnu.org; 30 Nov 2021 17:52:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 30 12:52:52 2021
Received: from localhost ([127.0.0.1]:42443 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ms7JE-0005jU-Hv
	for submit <at> debbugs.gnu.org; Tue, 30 Nov 2021 12:52:52 -0500
Received: from out2.migadu.com ([188.165.223.204]:52616)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dm@HIDDEN>) id 1ms7JB-0005jK-SV
 for 52183 <at> debbugs.gnu.org; Tue, 30 Nov 2021 12:52:51 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mssdvd.com; s=key1;
 t=1638294768;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:cc:mime-version:mime-version:content-type:content-type:
 in-reply-to:in-reply-to:references:references;
 bh=3UFrH4iP+9iwDK8wKnnE6/6jY/QvBIEgZKLfphDcM+g=;
 b=n6T7oU3n1kWMVw36sbQ/Rms2LU6a8IxrjV9gOGxZIKsEpS/MjLvW6r4yjF/doZekOOLCYl
 EGZ5hU6InrEMcyINYaQOxUZYR+xQTXJXOuT+BvcW8IIBkPu0WmHKllB+7wx6IiWqJJj07c
 lKWRxTztK4zRqJKhHr5eAfoHjs9FxpLOjicgcb4YRv0g/QvpgTpoCy2GIATFXDcB/c5Bz2
 9+NtDwzN2HLF94EcTcVNqbhTvQgduxhT1JvuscEfha6LjxOQkxX2pic1oE0dBEAhW22TLI
 Qr3XYvryJ29ABuZVh6Ikf0L0Q8HSiu/KyOTprGnyius8ziFV6LWUdx4afmQWJQ==
From: Davide Masserut <dm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#52183: (29.0.50; Empty space in the mode line if
 server-mode is active)
In-Reply-To: <83v909twk9.fsf@HIDDEN>
References: <87tufvkl5f.fsf@HIDDEN> <87ee6y58c0.fsf@HIDDEN>
 <83v909twk9.fsf@HIDDEN>
Date: Tue, 30 Nov 2021 18:52:45 +0100
Message-ID: <87v909y1hu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: dm@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52183
Cc: 52183 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> But that would defeat the purpose of that propertize, I think?  So it
> isn't the right solution.  And we need to understand the root cause of
> this anyway, before we devise a solution.  If you did understand it,
> please describe the details.

Lars mentioned a bug but I wasn't able to find what he was referring to.
Can you point me to the discussion about the alleged bug?

> No.  Why do you ask?

My fault, I didn't see that the precompiled message didn't include
emacs-devel as Cc.

-- 
Davide Masserut




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52183; Package emacs. Full text available.

Message received at 52183 <at> debbugs.gnu.org:


Received: (at 52183) by debbugs.gnu.org; 30 Nov 2021 16:52:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 30 11:52:48 2021
Received: from localhost ([127.0.0.1]:42258 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ms6N5-0003zL-Ra
	for submit <at> debbugs.gnu.org; Tue, 30 Nov 2021 11:52:48 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1ms6N4-0003z2-7P
 for 52183 <at> debbugs.gnu.org; Tue, 30 Nov 2021 11:52:46 -0500
Received: from [2001:470:142:3::e] (port=39738 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ms6My-0006Ey-Dn; Tue, 30 Nov 2021 11:52:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=ZRId51nootEosTGVGL3wUwzG6GQQkEKELO/vznrz4aA=; b=JSPKznjB0fhX
 10lVisvKWPdg65hwJ4WPTL1BuH3YREKwt+/88pqiiNJhPrIKY//LuTfcHsil2KYiUXfsKmlbKYQsR
 V9691YTai29JFqKmHNs79RTub9gQVI+v43of+V0yrENt8WknzCTx266DqDLrS9s/YS9bKRrJFk4e6
 MMD/SdWuwSQ/EH3pxTNrvRq0dzT+5hJ7ueBoEKYLtppx6rBXIlCOou7jMgkreMos6zZPisUYJu339
 Vz9M+gxXW0xbFpzF8aH1UZJw8cCGB6XNHt91lBQDIPWmWQmA6j6hh+p8p+V+IBPto6ffPhFuO93sS
 lfN6v3MRhYsrH7uJQGVIsQ==;
Received: from [87.69.77.57] (port=2334 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1ms6My-0006e7-6T; Tue, 30 Nov 2021 11:52:40 -0500
Date: Tue, 30 Nov 2021 18:52:54 +0200
Message-Id: <83v909twk9.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Davide Masserut <dm@HIDDEN>
In-Reply-To: <87ee6y58c0.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#52183: (29.0.50;
 Empty space in the mode line if server-mode is active)
References: <87tufvkl5f.fsf@HIDDEN> <87ee6y58c0.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52183
Cc: 52183 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 30 Nov 2021 09:57:51 +0100
> From:  Davide Masserut via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Here is the message that I thought I had sent to emacs-devel (I pressed
> the button "Reply to" and at the time I was not subscribed):
> 
> 
> > Seems like the "@" thingy on client frames' mode-line causes the
> > preceding mode-line-mule-info to be padded to 5-char width, for some
> > reason.
> 
> I think the issue is here [1].
> Moving mode-line-mule-info and mode-line-client
> before  "(list :propertize ..." seems to fix the problem.

But that would defeat the purpose of that propertize, I think?  So it
isn't the right solution.  And we need to understand the root cause of
this anyway, before we devise a solution.  If you did understand it,
please describe the details.

> BTW, does emacs-devel block email from people who are not subscribed to
> the list?

No.  Why do you ask?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52183; Package emacs. Full text available.

Message received at 52183 <at> debbugs.gnu.org:


Received: (at 52183) by debbugs.gnu.org; 30 Nov 2021 08:57:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 30 03:57:56 2021
Received: from localhost ([127.0.0.1]:40164 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mryxY-0004d3-JK
	for submit <at> debbugs.gnu.org; Tue, 30 Nov 2021 03:57:56 -0500
Received: from out1.migadu.com ([91.121.223.63]:21624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dm@HIDDEN>) id 1mryxW-0004cu-5o
 for 52183 <at> debbugs.gnu.org; Tue, 30 Nov 2021 03:57:55 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mssdvd.com; s=key1;
 t=1638262672;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type;
 bh=YMIM3Ep/+d4AkUwHrtThY6pBaza6Esdht0skBlNCSBU=;
 b=Fm5Mflc2et6S1BZvk8MPQ04GugY4ILZJn1tXEidOuoO8H/WiflS1noRGTM9uT4UKrXgzFz
 A3isUxVJ0wF3ytCyqgMm5zCwQSah/PHcKJTrfRVIo4KtcloSu7jLFA/XgEI6DxOcAxkWyW
 gcfi/L3CiPIMZ3U+UbZ2boQO6uLCdZkQVVVR2f56L6T9v8uwFjMm91wKPfCdCKH/6cglLx
 M2U/sGmDqLnWKoIZLQftCj/8b9JM3PrN1IWicEqptllpL1D4je9Tg1o6X9mmTDOMpmS7gd
 lVTJtwHjk8ZaD5OJ/9QnNW3fzHX3qnyZDQSs5fa0swyTrzq62PldGuShN0skJw==
From: Davide Masserut <dm@HIDDEN>
To: 52183 <at> debbugs.gnu.org
Subject: Re: bug#52183 (29.0.50; Empty space in the mode line if server-mode
 is active)
Date: Tue, 30 Nov 2021 09:57:51 +0100
Message-ID: <87ee6y58c0.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: dm@HIDDEN
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 52183
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Here is the message that I thought I had sent to emacs-devel (I pressed
the button "Reply to" and at the time I was not subscribed):


> Seems like the "@" thingy on client frames' mode-line causes the
> preceding mode-line-mule-info to be padded to 5-char width, for some
> reason.

I think the issue is here [1].
Moving mode-line-mule-info and mode-line-client
before  "(list :propertize ..." seems to fix the problem.

[1]:
http://git.savannah.gnu.org/gitweb/?p=emacs.git;a=blob;f=lisp/bindings.el;h=e28b06a1dcd924551d74ad9ee02b831d8577c460;hb=refs/heads/master#l610


BTW, does emacs-devel block email from people who are not subscribed to
the list?

-- 
Davide Masserut




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52183; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Nov 2021 15:59:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 29 10:59:55 2021
Received: from localhost ([127.0.0.1]:39052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mrj4M-0003Ou-NE
	for submit <at> debbugs.gnu.org; Mon, 29 Nov 2021 10:59:55 -0500
Received: from lists.gnu.org ([209.51.188.17]:38488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dm@HIDDEN>) id 1mrj4K-0003Om-Ou
 for submit <at> debbugs.gnu.org; Mon, 29 Nov 2021 10:59:54 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36536)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dm@HIDDEN>) id 1mrj4K-0004wk-GG
 for bug-gnu-emacs@HIDDEN; Mon, 29 Nov 2021 10:59:52 -0500
Received: from out1.migadu.com ([91.121.223.63]:61228)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dm@HIDDEN>) id 1mrj4F-0007qD-4Q
 for bug-gnu-emacs@HIDDEN; Mon, 29 Nov 2021 10:59:52 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mssdvd.com; s=key1;
 t=1638201582;
 h=from:from:reply-to:subject:subject:date:date:message-id:message-id:
 to:to:cc:mime-version:mime-version:content-type:content-type;
 bh=TC+oKigvvHB5w/Dv0JTV00frL2mNgOJNbtE4x+s1f9c=;
 b=cOJwFdeTPuZyepftVBTgFkVN5T4ZKiNeMR7+xU7Lq57fdxBmPnz7N8evVZ5dyPXr7jKF+S
 5fQrc8QNI2Y8v1kBxPobuwJTHJK6rH0bFKV+tf0nK9t4Q0IgG1Txn50JbIlf2hoElctqBt
 rYOCUebYXkKNmbXdzjGF75vW63TICmrIMWcvFQtAc9Ao+B7RQxGnWWfHwYybQHOGURzj2Y
 SodQa6FUKr/NSX4RSrfi6eNnOUN2YzB7ySlV39o80XvascAeXj7CL0jjoho2c/PO9TPPAn
 L9TTQU2cENzaO5G7A0oZtz8TsARZadek1HM4sEFRluFqXzAIlQmIlCVgj8UJEQ==
From: Davide Masserut <dm@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; Empty space in the mode line if server-mode is active
Date: Mon, 29 Nov 2021 16:59:40 +0100
Message-ID: <87tufvkl5f.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: dm@HIDDEN
Received-SPF: pass client-ip=91.121.223.63; envelope-from=dm@HIDDEN;
 helo=out1.migadu.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain

Hi, the commit 84bf9549860aae22931951d52b194b1fcfca1556 (Use a
proportional font for the mode line) added the min-width property to
mode-line-client.  If emacs is in server-mode a space between mule info
and "@" is added:


--=-=-=
Content-Type: image/png
Content-Disposition: inline
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


I've made a patch where I moved a couple of line out of the list
function but I'm not sure if you can merge it because my uni hasn't
finished reviewing the copyright papers.

My previous contribution is 63cbb54d7e163f74657dba46829262282ccda0df .


In GNU Emacs 29.0.50 (build 26, x86_64-pc-linux-gnu, GTK+ Version 3.24.30, cairo version 1.17.4)
 of 2021-11-28 built on T480s
Repository revision: 08d1c405073f614d89bcdf7f6bd19e8c8aaf8356
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Arch Linux

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games
 --with-sound=alsa --with-modules --without-gconf --without-gsettings
 --with-pgtk --with-xinput2 --with-native-compilation
 --with-x-toolkit=gtk3 --without-xaw3d --without-compress-install
 '--program-transform-name=s/\([ec]tags\)/\1.emacs/'
 'CFLAGS=-march=native -O2 -pipe -fno-plt -fexceptions
 -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security
 -fstack-clash-protection -fcf-protection -flto'
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now
 'CXXFLAGS=-march=native -O2 -pipe -fno-plt -fexceptions
 -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security
 -fstack-clash-protection -fcf-protection -Wp,-D_GLIBCXX_ASSERTIONS
 -flto''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM HARFBUZZ JPEG JSON LCMS2
LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NATIVE_COMP NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11
XDBE XIM XINPUT2 XPM GTK3 ZLIB

Important settings:
  value of $LC_MONETARY: it_IT.UTF-8
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Helpful

Minor modes in effect:
  global-git-commit-mode: t
  magit-auto-revert-mode: t
  global-tree-sitter-mode: t
  electric-pair-mode: t
  flycheck-pos-tip-mode: t
  global-flycheck-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  global-diff-hl-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  which-key-mode: t
  global-auto-revert-mode: t
  winner-mode: t
  repeat-mode: t
  save-place-mode: t
  corfu-global-mode: t
  corfu-mode: t
  marginalia-mode: t
  savehist-mode: t
  vertico-mouse-mode: t
  vertico-mode: t
  minibuffer-depth-indicate-mode: t
  global-so-long-mode: t
  override-global-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  context-menu-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/davide/.emacs.d/straight/build/transient/transient hides /usr/share/emacs/29.0.50/lisp/transient
/home/davide/.emacs.d/straight/build/project/project hides /usr/share/emacs/29.0.50/lisp/progmodes/project
/home/davide/.emacs.d/straight/build/xref/xref hides /usr/share/emacs/29.0.50/lisp/progmodes/xref
/home/davide/.emacs.d/straight/build/org/ox-texinfo hides /usr/share/emacs/29.0.50/lisp/org/ox-texinfo
/home/davide/.emacs.d/straight/build/org/ol-info hides /usr/share/emacs/29.0.50/lisp/org/ol-info
/home/davide/.emacs.d/straight/build/org/org-crypt hides /usr/share/emacs/29.0.50/lisp/org/org-crypt
/home/davide/.emacs.d/straight/build/org/org-inlinetask hides /usr/share/emacs/29.0.50/lisp/org/org-inlinetask
/home/davide/.emacs.d/straight/build/org/ob-sed hides /usr/share/emacs/29.0.50/lisp/org/ob-sed
/home/davide/.emacs.d/straight/build/org/ob-C hides /usr/share/emacs/29.0.50/lisp/org/ob-C
/home/davide/.emacs.d/straight/build/org/ox-beamer hides /usr/share/emacs/29.0.50/lisp/org/ox-beamer
/home/davide/.emacs.d/straight/build/org/org-capture hides /usr/share/emacs/29.0.50/lisp/org/org-capture
/home/davide/.emacs.d/straight/build/org/ob-ocaml hides /usr/share/emacs/29.0.50/lisp/org/ob-ocaml
/home/davide/.emacs.d/straight/build/org/ob-ref hides /usr/share/emacs/29.0.50/lisp/org/ob-ref
/home/davide/.emacs.d/straight/build/org/org-refile hides /usr/share/emacs/29.0.50/lisp/org/org-refile
/home/davide/.emacs.d/straight/build/org/ob-plantuml hides /usr/share/emacs/29.0.50/lisp/org/ob-plantuml
/home/davide/.emacs.d/straight/build/org/ol-eshell hides /usr/share/emacs/29.0.50/lisp/org/ol-eshell
/home/davide/.emacs.d/straight/build/org/ob-ditaa hides /usr/share/emacs/29.0.50/lisp/org/ob-ditaa
/home/davide/.emacs.d/straight/build/org/org-ctags hides /usr/share/emacs/29.0.50/lisp/org/org-ctags
/home/davide/.emacs.d/straight/build/org/org-duration hides /usr/share/emacs/29.0.50/lisp/org/org-duration
/home/davide/.emacs.d/straight/build/org/org-element hides /usr/share/emacs/29.0.50/lisp/org/org-element
/home/davide/.emacs.d/straight/build/org/ol-gnus hides /usr/share/emacs/29.0.50/lisp/org/ol-gnus
/home/davide/.emacs.d/straight/build/org/ob-screen hides /usr/share/emacs/29.0.50/lisp/org/ob-screen
/home/davide/.emacs.d/straight/build/org/org-attach hides /usr/share/emacs/29.0.50/lisp/org/org-attach
/home/davide/.emacs.d/straight/build/org/ob-ruby hides /usr/share/emacs/29.0.50/lisp/org/ob-ruby
/home/davide/.emacs.d/straight/build/org/ob-lilypond hides /usr/share/emacs/29.0.50/lisp/org/ob-lilypond
/home/davide/.emacs.d/straight/build/org/org-faces hides /usr/share/emacs/29.0.50/lisp/org/org-faces
/home/davide/.emacs.d/straight/build/org/ob-scheme hides /usr/share/emacs/29.0.50/lisp/org/ob-scheme
/home/davide/.emacs.d/straight/build/org/ox-odt hides /usr/share/emacs/29.0.50/lisp/org/ox-odt
/home/davide/.emacs.d/straight/build/org/ob-awk hides /usr/share/emacs/29.0.50/lisp/org/ob-awk
/home/davide/.emacs.d/straight/build/org/ol-rmail hides /usr/share/emacs/29.0.50/lisp/org/ol-rmail
/home/davide/.emacs.d/straight/build/org/ob-tangle hides /usr/share/emacs/29.0.50/lisp/org/ob-tangle
/home/davide/.emacs.d/straight/build/org/ol-eww hides /usr/share/emacs/29.0.50/lisp/org/ol-eww
/home/davide/.emacs.d/straight/build/org/ob-org hides /usr/share/emacs/29.0.50/lisp/org/ob-org
/home/davide/.emacs.d/straight/build/org/org-macs hides /usr/share/emacs/29.0.50/lisp/org/org-macs
/home/davide/.emacs.d/straight/build/org/ob-sql hides /usr/share/emacs/29.0.50/lisp/org/ob-sql
/home/davide/.emacs.d/straight/build/org/org-macro hides /usr/share/emacs/29.0.50/lisp/org/org-macro
/home/davide/.emacs.d/straight/build/org/org-mouse hides /usr/share/emacs/29.0.50/lisp/org/org-mouse
/home/davide/.emacs.d/straight/build/org/ox hides /usr/share/emacs/29.0.50/lisp/org/ox
/home/davide/.emacs.d/straight/build/org/ob-eshell hides /usr/share/emacs/29.0.50/lisp/org/ob-eshell
/home/davide/.emacs.d/straight/build/org/ob-lob hides /usr/share/emacs/29.0.50/lisp/org/ob-lob
/home/davide/.emacs.d/straight/build/org/ob-core hides /usr/share/emacs/29.0.50/lisp/org/ob-core
/home/davide/.emacs.d/straight/build/org/ob-matlab hides /usr/share/emacs/29.0.50/lisp/org/ob-matlab
/home/davide/.emacs.d/straight/build/org/ob-comint hides /usr/share/emacs/29.0.50/lisp/org/ob-comint
/home/davide/.emacs.d/straight/build/org/ob hides /usr/share/emacs/29.0.50/lisp/org/ob
/home/davide/.emacs.d/straight/build/org/ox-icalendar hides /usr/share/emacs/29.0.50/lisp/org/ox-icalendar
/home/davide/.emacs.d/straight/build/org/ox-html hides /usr/share/emacs/29.0.50/lisp/org/ox-html
/home/davide/.emacs.d/straight/build/org/oc-basic hides /usr/share/emacs/29.0.50/lisp/org/oc-basic
/home/davide/.emacs.d/straight/build/org/org-mobile hides /usr/share/emacs/29.0.50/lisp/org/org-mobile
/home/davide/.emacs.d/straight/build/org/org-habit hides /usr/share/emacs/29.0.50/lisp/org/org-habit
/home/davide/.emacs.d/straight/build/org/ol-mhe hides /usr/share/emacs/29.0.50/lisp/org/ol-mhe
/home/davide/.emacs.d/straight/build/org/org-goto hides /usr/share/emacs/29.0.50/lisp/org/org-goto
/home/davide/.emacs.d/straight/build/org/ox-ascii hides /usr/share/emacs/29.0.50/lisp/org/ox-ascii
/home/davide/.emacs.d/straight/build/org/org-list hides /usr/share/emacs/29.0.50/lisp/org/org-list
/home/davide/.emacs.d/straight/build/org/ob-table hides /usr/share/emacs/29.0.50/lisp/org/ob-table
/home/davide/.emacs.d/straight/build/org/ox-publish hides /usr/share/emacs/29.0.50/lisp/org/ox-publish
/home/davide/.emacs.d/straight/build/org/ob-sass hides /usr/share/emacs/29.0.50/lisp/org/ob-sass
/home/davide/.emacs.d/straight/build/org/ob-lisp hides /usr/share/emacs/29.0.50/lisp/org/ob-lisp
/home/davide/.emacs.d/straight/build/org/ol-docview hides /usr/share/emacs/29.0.50/lisp/org/ol-docview
/home/davide/.emacs.d/straight/build/org/ox-org hides /usr/share/emacs/29.0.50/lisp/org/ox-org
/home/davide/.emacs.d/straight/build/org/ob-julia hides /usr/share/emacs/29.0.50/lisp/org/ob-julia
/home/davide/.emacs.d/straight/build/org/org-keys hides /usr/share/emacs/29.0.50/lisp/org/org-keys
/home/davide/.emacs.d/straight/build/org/org-archive hides /usr/share/emacs/29.0.50/lisp/org/org-archive
/home/davide/.emacs.d/straight/build/org/oc-biblatex hides /usr/share/emacs/29.0.50/lisp/org/oc-biblatex
/home/davide/.emacs.d/straight/build/org/ol-bbdb hides /usr/share/emacs/29.0.50/lisp/org/ol-bbdb
/home/davide/.emacs.d/straight/build/org/org-attach-git hides /usr/share/emacs/29.0.50/lisp/org/org-attach-git
/home/davide/.emacs.d/straight/build/org/ox-koma-letter hides /usr/share/emacs/29.0.50/lisp/org/ox-koma-letter
/home/davide/.emacs.d/straight/build/org/oc-csl hides /usr/share/emacs/29.0.50/lisp/org/oc-csl
/home/davide/.emacs.d/straight/build/org/org-datetree hides /usr/share/emacs/29.0.50/lisp/org/org-datetree
/home/davide/.emacs.d/straight/build/org/org-src hides /usr/share/emacs/29.0.50/lisp/org/org-src
/home/davide/.emacs.d/straight/build/org/ob-fortran hides /usr/share/emacs/29.0.50/lisp/org/ob-fortran
/home/davide/.emacs.d/straight/build/org/oc-natbib hides /usr/share/emacs/29.0.50/lisp/org/oc-natbib
/home/davide/.emacs.d/straight/build/org/org-timer hides /usr/share/emacs/29.0.50/lisp/org/org-timer
/home/davide/.emacs.d/straight/build/org/ob-python hides /usr/share/emacs/29.0.50/lisp/org/ob-python
/home/davide/.emacs.d/straight/build/org/org-pcomplete hides /usr/share/emacs/29.0.50/lisp/org/org-pcomplete
/home/davide/.emacs.d/straight/build/org/ox-md hides /usr/share/emacs/29.0.50/lisp/org/ox-md
/home/davide/.emacs.d/straight/build/org/oc hides /usr/share/emacs/29.0.50/lisp/org/oc
/home/davide/.emacs.d/straight/build/org/ob-emacs-lisp hides /usr/share/emacs/29.0.50/lisp/org/ob-emacs-lisp
/home/davide/.emacs.d/straight/build/org/ob-clojure hides /usr/share/emacs/29.0.50/lisp/org/ob-clojure
/home/davide/.emacs.d/straight/build/org/ol-doi hides /usr/share/emacs/29.0.50/lisp/org/ol-doi
/home/davide/.emacs.d/straight/build/org/org-num hides /usr/share/emacs/29.0.50/lisp/org/org-num
/home/davide/.emacs.d/straight/build/org/ob-eval hides /usr/share/emacs/29.0.50/lisp/org/ob-eval
/home/davide/.emacs.d/straight/build/org/ob-latex hides /usr/share/emacs/29.0.50/lisp/org/ob-latex
/home/davide/.emacs.d/straight/build/org/ob-lua hides /usr/share/emacs/29.0.50/lisp/org/ob-lua
/home/davide/.emacs.d/straight/build/org/ob-perl hides /usr/share/emacs/29.0.50/lisp/org/ob-perl
/home/davide/.emacs.d/straight/build/org/org-id hides /usr/share/emacs/29.0.50/lisp/org/org-id
/home/davide/.emacs.d/straight/build/org/ob-makefile hides /usr/share/emacs/29.0.50/lisp/org/ob-makefile
/home/davide/.emacs.d/straight/build/org/ob-exp hides /usr/share/emacs/29.0.50/lisp/org/ob-exp
/home/davide/.emacs.d/straight/build/org/ob-dot hides /usr/share/emacs/29.0.50/lisp/org/ob-dot
/home/davide/.emacs.d/straight/build/org/ob-forth hides /usr/share/emacs/29.0.50/lisp/org/ob-forth
/home/davide/.emacs.d/straight/build/org/org-colview hides /usr/share/emacs/29.0.50/lisp/org/org-colview
/home/davide/.emacs.d/straight/build/org/ox-man hides /usr/share/emacs/29.0.50/lisp/org/ox-man
/home/davide/.emacs.d/straight/build/org/org-protocol hides /usr/share/emacs/29.0.50/lisp/org/org-protocol
/home/davide/.emacs.d/straight/build/org/org-lint hides /usr/share/emacs/29.0.50/lisp/org/org-lint
/home/davide/.emacs.d/straight/build/org/org-table hides /usr/share/emacs/29.0.50/lisp/org/org-table
/home/davide/.emacs.d/straight/build/org/ob-js hides /usr/share/emacs/29.0.50/lisp/org/ob-js
/home/davide/.emacs.d/straight/build/org/org-compat hides /usr/share/emacs/29.0.50/lisp/org/org-compat
/home/davide/.emacs.d/straight/build/org/org hides /usr/share/emacs/29.0.50/lisp/org/org
/home/davide/.emacs.d/straight/build/org/ob-groovy hides /usr/share/emacs/29.0.50/lisp/org/ob-groovy
/home/davide/.emacs.d/straight/build/org/ob-java hides /usr/share/emacs/29.0.50/lisp/org/ob-java
/home/davide/.emacs.d/straight/build/org/ob-calc hides /usr/share/emacs/29.0.50/lisp/org/ob-calc
/home/davide/.emacs.d/straight/build/org/ob-maxima hides /usr/share/emacs/29.0.50/lisp/org/ob-maxima
/home/davide/.emacs.d/straight/build/org/ol-w3m hides /usr/share/emacs/29.0.50/lisp/org/ol-w3m
/home/davide/.emacs.d/straight/build/org/org-version hides /usr/share/emacs/29.0.50/lisp/org/org-version
/home/davide/.emacs.d/straight/build/org/ob-R hides /usr/share/emacs/29.0.50/lisp/org/ob-R
/home/davide/.emacs.d/straight/build/org/org-indent hides /usr/share/emacs/29.0.50/lisp/org/org-indent
/home/davide/.emacs.d/straight/build/org/ob-css hides /usr/share/emacs/29.0.50/lisp/org/ob-css
/home/davide/.emacs.d/straight/build/org/ol-bibtex hides /usr/share/emacs/29.0.50/lisp/org/ol-bibtex
/home/davide/.emacs.d/straight/build/org/org-footnote hides /usr/share/emacs/29.0.50/lisp/org/org-footnote
/home/davide/.emacs.d/straight/build/org/ox-latex hides /usr/share/emacs/29.0.50/lisp/org/ox-latex
/home/davide/.emacs.d/straight/build/org/ol hides /usr/share/emacs/29.0.50/lisp/org/ol
/home/davide/.emacs.d/straight/build/org/org-clock hides /usr/share/emacs/29.0.50/lisp/org/org-clock
/home/davide/.emacs.d/straight/build/org/org-entities hides /usr/share/emacs/29.0.50/lisp/org/org-entities
/home/davide/.emacs.d/straight/build/org/ob-processing hides /usr/share/emacs/29.0.50/lisp/org/ob-processing
/home/davide/.emacs.d/straight/build/org/ob-gnuplot hides /usr/share/emacs/29.0.50/lisp/org/ob-gnuplot
/home/davide/.emacs.d/straight/build/org/ol-irc hides /usr/share/emacs/29.0.50/lisp/org/ol-irc
/home/davide/.emacs.d/straight/build/org/org-feed hides /usr/share/emacs/29.0.50/lisp/org/org-feed
/home/davide/.emacs.d/straight/build/org/ol-man hides /usr/share/emacs/29.0.50/lisp/org/ol-man
/home/davide/.emacs.d/straight/build/org/ob-haskell hides /usr/share/emacs/29.0.50/lisp/org/ob-haskell
/home/davide/.emacs.d/straight/build/org/org-agenda hides /usr/share/emacs/29.0.50/lisp/org/org-agenda
/home/davide/.emacs.d/straight/build/org/org-tempo hides /usr/share/emacs/29.0.50/lisp/org/org-tempo
/home/davide/.emacs.d/straight/build/org/ob-octave hides /usr/share/emacs/29.0.50/lisp/org/ob-octave
/home/davide/.emacs.d/straight/build/org/ob-sqlite hides /usr/share/emacs/29.0.50/lisp/org/ob-sqlite
/home/davide/.emacs.d/straight/build/org/ob-shell hides /usr/share/emacs/29.0.50/lisp/org/ob-shell
/home/davide/.emacs.d/straight/build/org/org-install hides /usr/share/emacs/29.0.50/lisp/org/org-install
/home/davide/.emacs.d/straight/build/org/org-loaddefs hides /usr/share/emacs/29.0.50/lisp/org/org-loaddefs
/home/davide/.emacs.d/straight/build/org/org-plot hides /usr/share/emacs/29.0.50/lisp/org/org-plot
/home/davide/.emacs.d/straight/build/dictionary/dictionary hides /usr/share/emacs/29.0.50/lisp/net/dictionary
/home/davide/.emacs.d/straight/build/let-alist/let-alist hides /usr/share/emacs/29.0.50/lisp/emacs-lisp/let-alist
/home/davide/.emacs.d/straight/build/eldoc/eldoc hides /usr/share/emacs/29.0.50/lisp/emacs-lisp/eldoc

Features:
(notmuch notmuch-tree notmuch-jump notmuch-hello notmuch-show
notmuch-print notmuch-crypto notmuch-mua notmuch-message notmuch-draft
notmuch-maildir-fcc notmuch-address notmuch-company notmuch-parser
notmuch-wash coolj notmuch-query icalendar diary-lib diary-loaddefs
cal-menu calendar cal-loaddefs notmuch-tag notmuch-lib notmuch-version
notmuch-compat hl-line mm-view mml-smime smime dig shadow sort mail-extr
emacsbug sendmail whitespace cus-start cus-load quail tramp-cmds ibuffer
ibuffer-loaddefs project vc-mtn vc-hg vc-bzr vc-src vc-sccs vc-svn
vc-cvs vc-rcs goto-addr mule-util jka-compr helpful trace edebug
backtrace info-look f help-fns radix-tree elisp-refs s misearch
multi-isearch face-remap forge-list forge-commands forge-semi
forge-bitbucket buck forge-gogs gogs forge-gitea gtea forge-gitlab glab
forge-github ghub-graphql treepy gsexp ghub let-alist gnutls
forge-notify forge-revnote forge-pullreq forge-issue forge-topic yaml
forge-post markdown-mode noutline outline forge-repo forge forge-core
forge-db closql emacsql-sqlite emacsql emacsql-compiler url-http
url-auth url-gw nsm magit-extras magit-bookmark magit-submodule
magit-obsolete magit-blame magit-stash magit-reflog magit-bisect
magit-push magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
package browse-url url-handlers magit-repos magit-apply magit-wip
magit-log which-func imenu magit-diff smerge-mode diff git-commit
log-edit message yank-media rmc puny rfc822 mml mml-sec epa epg rfc6068
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr
mailabbrev mail-utils gmm-utils mailheader add-log magit-core
magit-autorevert magit-margin magit-transient magit-process with-editor
magit-mode transient magit-git magit-section magit-utils crm
bug-reference vc-git matlab derived matlab-scan matlab-syntax
matlab-compat pulse vertico-directory cursor-sensor vertico-repeat
consult-flycheck embark-consult consult-vertico consult
tree-sitter-langs tree-sitter-langs-build tar-mode arc-mode archive-mode
url url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util mailcap tree-sitter-hl tree-sitter tree-sitter-load
tree-sitter-cli tsc tsc-dyn tsc-dyn-get dired-aux dired-x dired
dired-loaddefs tsc-obsolete elec-pair embark ffap thingatpt ace-link
avy-flycheck avy flycheck-ledger flycheck-pos-tip pos-tip flycheck
find-func dash tramp-cache tramp-sh tramp tramp-loaddefs trampver
tramp-integration files-x tramp-compat shell pcomplete comint ansi-color
parse-time iso8601 time-date ls-lisp format-spec auth-source-pass
url-parse url-vars auth-source eieio eieio-core eieio-loaddefs
password-cache json map recentf tree-widget wid-edit diff-hl log-view
pcvs-util vc-dir ewoc vc vc-dispatcher diff-mode yasnippet-snippets
yasnippet which-key advice autorevert filenotify iedit iedit-lib winner
ring server display-line-numbers display-fill-column-indicator
rainbow-delimiters highlight-parentheses rainbow-mode xterm-color color
ccls-autoloads rustic-autoloads xterm-color-autoloads
rust-mode-autoloads go-mode-autoloads lsp-pyright-autoloads
lsp-java-autoloads dap-mode-autoloads bui-autoloads
lsp-treemacs-autoloads lsp-ui-autoloads lsp-mode-autoloads
spinner-autoloads ol-notmuch-autoloads treemacs-magit-autoloads
treemacs-autoloads cfrs-autoloads posframe-autoloads hydra-autoloads
lv-autoloads pfuture-autoloads vundo-autoloads iedit-autoloads repeat
circe-autoloads matlab-mode-autoloads yaml-mode-autoloads
hnreader-autoloads promise-autoloads vterm-autoloads csv-mode-autoloads
flycheck-ledger-autoloads ledger-mode-autoloads pocket-reader-autoloads
ht-autoloads org-web-tools-autoloads esxml-autoloads
rainbow-identifiers-autoloads ov-autoloads pocket-lib-autoloads
request-autoloads kv-autoloads elfeed-org-autoloads elfeed-autoloads
langtool-autoloads helpful-autoloads elisp-refs-autoloads
dumb-jump-autoloads popup-autoloads systemd-autoloads
define-word-autoloads wolfram-autoloads fish-mode-autoloads
dictionary-autoloads link-autoloads connection-autoloads
sudo-edit-autoloads terminal-here-autoloads realgud-autoloads
realgud-recursive-autoloads test-simple-autoloads loc-changes-autoloads
load-relative-autoloads delight eldoc-autoloads which-key-autoloads
yasnippet-snippets-autoloads yasnippet-autoloads diff-hl-autoloads
git-modes-autoloads password-store-autoloads forge-autoloads
yaml-autoloads markdown-mode-autoloads ghub-autoloads treepy-autoloads
closql-autoloads magit-autoloads git-commit-autoloads
with-editor-autoloads transient-autoloads edraw-org-autoloads
org-roam-ui-autoloads websocket-autoloads simple-httpd-autoloads
org-roam-autoloads magit-section-autoloads emacsql-sqlite-autoloads
emacsql-autoloads f-autoloads s-autoloads ox-reveal-autoloads
org-download-autoloads async-autoloads org-caldav-autoloads
org-pomodoro-autoloads alert-autoloads log4e-autoloads gntp-autoloads
gnuplot-autoloads org-pdftools-autoloads org-noter-autoloads
pdf-tools-autoloads tablist-autoloads auctex-autoloads tex-site
cdlatex-autoloads rainbow-mode-autoloads highlight-parentheses-autoloads
rainbow-delimiters-autoloads saveplace-pdf-view bookmark
text-property-search pp saveplace-pdf-view-autoloads saveplace
flycheck-pos-tip-autoloads pos-tip-autoloads expand-region-autoloads
ace-window-autoloads ace-link-autoloads avy-flycheck-autoloads
avy-autoloads wgrep-autoloads corfu corfu-autoloads
embark-consult-autoloads embark-autoloads marginalia
marginalia-autoloads consult-dir-autoloads project-autoloads
xref-autoloads consult-flycheck-autoloads flycheck-autoloads
let-alist-autoloads pkg-info-autoloads epl-autoloads dash-autoloads
consult-autoloads savehist orderless orderless-autoloads vertico-mouse
vertico vertico-autoloads tree-sitter-langs-autoloads
tree-sitter-autoloads tsc-autoloads use-package-delight
modus-vivendi-theme modus-operandi-theme modus-themes
modus-themes-autoloads use-package-bind-key delight-autoloads
no-littering no-littering-autoloads finder-inf use-package-core comp
comp-cstr warnings rx mb-depth so-long edmacro kmacro bind-key
easy-mmode use-package-autoloads bind-key-autoloads straight-autoloads
info cl-seq cl-extra help-mode seq byte-opt straight subr-x cl-macs gv
cl-loaddefs cl-lib bytecomp byte-compile cconv pcase iso-transl tooltip
eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
elisp-mode mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow
isearch easymenu timer select scroll-bar mouse jit-lock font-lock syntax
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite emoji-zwj charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget keymap hashtable-print-readable backquote threads
dbusbind inotify lcms2 dynamic-setting font-render-setting cairo
move-toolbar gtk x-toolkit xinput2 x multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 833764 71559)
 (symbols 48 38352 55)
 (strings 32 168815 9931)
 (string-bytes 1 6526011)
 (vectors 16 100299)
 (vector-slots 8 2230163 147527)
 (floats 8 523 1010)
 (intervals 56 49150 1928)
 (buffers 992 37))

-- 
Davide Masserut

--=-=-=--




Acknowledgement sent to Davide Masserut <dm@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52183; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 5 Dec 2021 20:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.